push_textdomain("editor_height_tools.wad", true)

local col_l_width = 200
local col_r_width = 200

wl.ui.MapView():create_child({
   widget   = "unique_window",
   registry = "choose_statistic_window",
   name     = "choose_statistic_window",
   title    = _("Choose an option"),
   --h        = 200,
   --w        = col_l_width + col_r_width,   -- no effect when uncommented
   --x        = wl.ui.MapView().width  // 3,
   --y        = wl.ui.MapView().height // 3,
   content  = {
      widget      = "box",
      name        = "main_box",
      --w           = 600,
      orientation = "vert",
      children    = {
               {
                  widget = "box",
                  name   = "box_1",
                  orientation = "vertical",
                  --w = col_r_width,
                  children ={
                     {widget="space", value=10},
                     {
                        widget = "multilinetextarea",
                        name   = "apply_mountain_heights_header",
                        resizing = "expandboth",
                        --w      = col_r_width,
                        --h      = 30,
                        scroll_mode = "normal",
                        font   = "wui_info_panel_heading",
                        text   = _("Apply heights to mountain areas"),  -- not shown, w and h has to be uncommented
                     },
                     {widget="space", value=10},
                     {
                        widget = "multilinetextarea",
                        name   = "first_xy_header",
                        resizing = "expandboth",
                        --w      = col_r_width,
                        --h      = 30,
                        scroll_mode = "normal",
                        font   = "wui_message_paragraph",
                        text   = _("Enter coordinates, e.g. 20,23"),  -- not shown, w and h has to be uncommented
                     },
                     {
                        widget = "editbox",
                        name = "first_xy",
                        w      = col_r_width,  -- comment and the window get's small, allthough a text is defined
                        text = "some text",
                        on_ok = "",
                     },
                  }
               }
         } -- end main_box children
      }
})

pop_textdomain()
